%global octpkg signal

Name:           octave-%{octpkg}
Version:        1.4.5
Release:    2%{?dist}
Summary:        Signal processing tools for Octave
License:        GPLv3+
URL:            http://octave.sourceforge.net/signal/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

ExcludeArch:    s390x

BuildRequires:  octave-devel >= 3.8.0
BuildRequires:  octave-control >= 2.4.5

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave
Requires:       octave-control >= 2.4.5


%description
Signal processing tools, including filtering, windowing and display

%prep
%setup -q -n %{octpkg}-%{version}
for i in inst/*.m; do
  iconv -f iso8859-1 -t utf-8 $i > $i.conv && mv -f $i.conv $i
done;

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_check

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}

%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/private/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING
%{_metainfodir}/io.sourceforge.octave.signal.metainfo.xml
%{octpkgdir}/PKG_ADD
%{octpkgdir}/PKG_DEL
%doc %{octpkgdir}/doc


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.4.5-2
- Rebuilt for loongarch64

* Wed Aug 07 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.5-1
- initial build
